<template>
  <div class="q-pa-md">
    <q-stepper
      v-model="step"
      ref="stepper"
      color="primary"
      animated
    >
      <q-step
        :name="1"
        title="Medio"
        icon="settings"
        :done="step > 1"
      >
        <q-select class="q-pa-md" filled emit-value map-options v-model="medio_select" @input="filterOptions" :options="medioOptions" option-value="id" option-label="name" label="Seleccione un Medio" />
        <q-select class="q-pa-md" filled emit-value map-options v-model="category_select" @input="filterVehicle" :options="categoryOptions" option-value="id" option-label="name" label="Seleccione una Categoria" />
        <q-select class="q-pa-md" filled emit-value map-options v-model="vehicle_select" @input="filterCanalEstation" :options="vehicleOptions" option-value="id" option-label="name" label="Seleccione un Vehiculo" />
      </q-step>

      <q-step
        :name="2"
        title="Ciudad"
        caption="Optional"
        icon="create_new_folder"
        :done="step > 2"
      >
        <q-select filled v-model="city"  :options="cityOptions" option-value="id" option-label="name" label="Seleccione una Ciudad" />
      </q-step>

      <q-step
        :name="3"
        title="Canal/Estacion"
        icon="assignment"
      >
        <q-select filled v-model="canal_station" :options="canalEstationOptions" option-value="id" option-label="name" label="Seleccione un Canal/Estacion" />
      </q-step>

      <q-step
        :name="4"
        title="Create an ad"
        icon="add_comment"
      >
        Try out different ad text to see what brings in the most customers, and learn how to
        enhance your ads using features like ad extensions. If you run into any problems with
        your ads, find out how to tell if they're running and how to resolve approval issues.
      </q-step>

      <template v-slot:navigation>
        <q-stepper-navigation>
          <q-btn @click="$refs.stepper.next()" color="primary" :label="step === 4 ? 'Finish' : 'Continue'" />
          <q-btn v-if="step > 1" flat color="primary" @click="$refs.stepper.previous()" label="Back" class="q-ml-sm" />
        </q-stepper-navigation>
      </template>
    </q-stepper>
  </div>
</template>

<script>

import { medio, categoria, vehiculo, canalEstacion, ciudad } from '.././store/data'

export default {
  name: 'PageIndex',
  data () {
    return {
      step: 1,
      medio_select: null,
      category_select: null,
      vehicle_select: null,
      medioOptions: medio,
      cityOptions: ciudad,
      categoryOptions: categoria,
      vehicleOptions: vehiculo,
      city: null,
      canal_station: null,
      canalEstationOptions: canalEstacion
    }
  },
  mounted () {
    console.log(medio, categoria, vehiculo, canalEstacion)
  },
  methods: {
    filterOptions () {
      this.categoryOptions = this.categoryOptions.filter(ele => ele.medio_id === this.medio_select)
      this.cityOptions = this.cityOptions.filter(ele => ele.medio_id.includes(this.medio_select))
      console.log(this.cityOptions, this.medio_select)
    },
    filterCanalEstation () {
      this.canalEstationOptions = this.canalEstationOptions.filter(ele => ele.vehiculo_id === this.vehicle_select)
    },
    filterVehicle () {
      this.vehicleOptions = this.vehicleOptions.filter(ele => ele.categoria_id === this.category_select)
    }
  }
}
</script>
<style lang="sass">
.my-menu-link
  color: white
  background: #F2C037
</style>
